{ config, lib, ... }:
{
  security.pam.services."sddm".kwallet.enable = config.services.desktopManager.plasma6.enable;
  security.pam.services."gdm".kwallet.enable = config.services.desktopManager.plasma6.enable;

  services.displayManager.sddm.enable = lib.mkForce false;
  services.displayManager.gdm.enable = true;
  services.displayManager.gdm.wayland = true;
}
